Name:		rebloom
Version:	1.0.3
Release:	3%{?dist}
Summary:	Bloom Filter Module for Redis

License:	AGPLv3
URL:		http://rebloom.io/
Source0:	https://github.com/RedisLabsModules/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	redis-devel python-rmtest python
BuildRequires:	redis >= 4
Requires:	redis(modules_abi)%{?_isa} = %{redis_modules_abi}
Requires:	redis >= 4

%description
This provides a scalable bloom filter as a Redis data type.
Bloom filters are probabilistic data structures that do a very good
job at quickly determining if something is contained within a set.

%prep
%setup -q

%build
make %{?_smp_mflags} LD="cc" LDFLAGS="%{?__global_ldflags}"

%check
make test

%install
install -pDm755 %{name}.so %{buildroot}%{redis_modules_dir}/%{name}.so

%files
%license LICENSE
%doc README.md docs/index.md docs/Commands.md docs/Quick_Start.md
%{redis_modules_dir}/%{name}.so

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 03 2018 Nathan Scott <nathans@redhat.com> - 1.0.3-2
- Remove python installation assumptions.

* Mon Nov 27 2017 Nathan Scott <nathans@redhat.com> - 1.0.3-1
- Add runtime testing using python-rmtest package.
- Update to latest upstream release.

* Fri Nov 17 2017 Nathan Scott <nathans@redhat.com> - 1.0.1-1
- Update use of RPM license macro (from package review).
- Update to latest upstream release.

* Sun Oct 01 2017 Nathan Scott <nathans@redhat.com> - 1.0.0-1
- Initial package
